com.sun.java.xml.ns.javaee

## Class JspPropertyGroupType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.JspPropertyGroupType

-     public class JspPropertyGroupType
      extends Object

  The jsp-property-groupType is used to group a number of files so they can be given global property information. All files so described are deemed to be JSP files. The following additional properties can be described: - Control whether EL is ignored. - Control whether scripting elements are invalid. - Indicate pageEncoding information. - Indicate that a resource is a JSP document (XML). - Prelude and Coda automatic includes. - Control whether the character sequence #{ is allowed when used as a String literal. - Control whether template text containing only whitespaces must be removed from the response output. - Indicate the default contentType information. - Indicate the default buffering model for JspWriter - Control whether error should be raised for the use of undeclared namespaces in a JSP page.

  Java-Klasse für jsp-property-groupType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="jsp-property-groupType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://java.sun.com/xml/ns/javaee}descriptionGroup"/>
               <element name="url-pattern" type="{http://java.sun.com/xml/ns/javaee}url-patternType" maxOccurs="unbounded"/>
               <element name="el-ignored" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="page-encoding" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
               <element name="scripting-invalid" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="is-xml" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="include-prelude" type="{http://java.sun.com/xml/ns/javaee}pathType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="include-coda" type="{http://java.sun.com/xml/ns/javaee}pathType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="deferred-syntax-allowed-as-literal" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="trim-directive-whitespaces" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="default-content-type" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
               <element name="buffer" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
               <element name="error-on-undeclared-namespace" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `buffer`
    `protected String` | `defaultContentType`
    `protected TrueFalseType` | `deferredSyntaxAllowedAsLiteral`
    `protected List<DescriptionType>` | `description`
    `protected List<DisplayNameType>` | `displayName`
    `protected TrueFalseType` | `elIgnored`
    `protected TrueFalseType` | `errorOnUndeclaredNamespace`
    `protected List<IconType>` | `icon`
    `protected String` | `id`
    `protected List<PathType>` | `includeCoda`
    `protected List<PathType>` | `includePrelude`
    `protected TrueFalseType` | `isXml`
    `protected String` | `pageEncoding`
    `protected TrueFalseType` | `scriptingInvalid`
    `protected TrueFalseType` | `trimDirectiveWhitespaces`
    `protected List<UrlPatternType>` | `urlPattern`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspPropertyGroupType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBuffer()` Ruft den Wert der buffer-Eigenschaft ab.
    `String` | `getDefaultContentType()` Ruft den Wert der defaultContentType-Eigenschaft ab.
    `TrueFalseType` | `getDeferredSyntaxAllowedAsLiteral()` Ruft den Wert der deferredSyntaxAllowedAsLiteral-Eigenschaft ab.
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `List<DisplayNameType>` | `getDisplayName()` Gets the value of the displayName property.
    `TrueFalseType` | `getElIgnored()` Ruft den Wert der elIgnored-Eigenschaft ab.
    `TrueFalseType` | `getErrorOnUndeclaredNamespace()` Ruft den Wert der errorOnUndeclaredNamespace-Eigenschaft ab.
    `List<IconType>` | `getIcon()` Gets the value of the icon property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<PathType>` | `getIncludeCoda()` Gets the value of the includeCoda property.
    `List<PathType>` | `getIncludePrelude()` Gets the value of the includePrelude property.
    `TrueFalseType` | `getIsXml()` Ruft den Wert der isXml-Eigenschaft ab.
    `String` | `getPageEncoding()` Ruft den Wert der pageEncoding-Eigenschaft ab.
    `TrueFalseType` | `getScriptingInvalid()` Ruft den Wert der scriptingInvalid-Eigenschaft ab.
    `TrueFalseType` | `getTrimDirectiveWhitespaces()` Ruft den Wert der trimDirectiveWhitespaces-Eigenschaft ab.
    `List<UrlPatternType>` | `getUrlPattern()` Gets the value of the urlPattern property.
    `void` | `setBuffer(String value)` Legt den Wert der buffer-Eigenschaft fest.
    `void` | `setDefaultContentType(String value)` Legt den Wert der defaultContentType-Eigenschaft fest.
    `void` | `setDeferredSyntaxAllowedAsLiteral(TrueFalseType value)` Legt den Wert der deferredSyntaxAllowedAsLiteral-Eigenschaft fest.
    `void` | `setElIgnored(TrueFalseType value)` Legt den Wert der elIgnored-Eigenschaft fest.
    `void` | `setErrorOnUndeclaredNamespace(TrueFalseType value)` Legt den Wert der errorOnUndeclaredNamespace-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setIsXml(TrueFalseType value)` Legt den Wert der isXml-Eigenschaft fest.
    `void` | `setPageEncoding(String value)` Legt den Wert der pageEncoding-Eigenschaft fest.
    `void` | `setScriptingInvalid(TrueFalseType value)` Legt den Wert der scriptingInvalid-Eigenschaft fest.
    `void` | `setTrimDirectiveWhitespaces(TrueFalseType value)` Legt den Wert der trimDirectiveWhitespaces-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### displayName

          protected List<DisplayNameType> displayName

    - #### icon

          protected List<IconType> icon

    - #### urlPattern

          protected List<UrlPatternType> urlPattern

    - #### elIgnored

          protected TrueFalseType elIgnored

    - #### pageEncoding

          protected String pageEncoding

    - #### scriptingInvalid

          protected TrueFalseType scriptingInvalid

    - #### isXml

          protected TrueFalseType isXml

    - #### includePrelude

          protected List<PathType> includePrelude

    - #### includeCoda

          protected List<PathType> includeCoda

    - #### deferredSyntaxAllowedAsLiteral

          protected TrueFalseType deferredSyntaxAllowedAsLiteral

    - #### trimDirectiveWhitespaces

          protected TrueFalseType trimDirectiveWhitespaces

    - #### defaultContentType

          protected String defaultContentType

    - #### buffer

          protected String buffer

    - #### errorOnUndeclaredNamespace

          protected TrueFalseType errorOnUndeclaredNamespace

    - #### id

          protected String id

  - ### Constructor Detail

    - #### JspPropertyGroupType

          public JspPropertyGroupType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getDisplayName

          public List<DisplayNameType> getDisplayName()

      Gets the value of the displayName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the displayName property.

      For example, to add a new item, do as follows:

              getDisplayName().add(newItem);

      Objects of the following type(s) are allowed in the list `DisplayNameType`

    - #### getIcon

          public List<IconType> getIcon()

      Gets the value of the icon property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the icon property.

      For example, to add a new item, do as follows:

              getIcon().add(newItem);

      Objects of the following type(s) are allowed in the list `IconType`

    - #### getUrlPattern

          public List<UrlPatternType> getUrlPattern()

      Gets the value of the urlPattern property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the urlPattern property.

      For example, to add a new item, do as follows:

              getUrlPattern().add(newItem);

      Objects of the following type(s) are allowed in the list `UrlPatternType`

    - #### getElIgnored

          public TrueFalseType getElIgnored()

      Ruft den Wert der elIgnored-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setElIgnored

          public void setElIgnored(TrueFalseType value)

      Legt den Wert der elIgnored-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getPageEncoding

          public String getPageEncoding()

      Ruft den Wert der pageEncoding-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setPageEncoding

          public void setPageEncoding(String value)

      Legt den Wert der pageEncoding-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getScriptingInvalid

          public TrueFalseType getScriptingInvalid()

      Ruft den Wert der scriptingInvalid-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setScriptingInvalid

          public void setScriptingInvalid(TrueFalseType value)

      Legt den Wert der scriptingInvalid-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getIsXml

          public TrueFalseType getIsXml()

      Ruft den Wert der isXml-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setIsXml

          public void setIsXml(TrueFalseType value)

      Legt den Wert der isXml-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getIncludePrelude

          public List<PathType> getIncludePrelude()

      Gets the value of the includePrelude property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the includePrelude property.

      For example, to add a new item, do as follows:

              getIncludePrelude().add(newItem);

      Objects of the following type(s) are allowed in the list `PathType`

    - #### getIncludeCoda

          public List<PathType> getIncludeCoda()

      Gets the value of the includeCoda property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the includeCoda property.

      For example, to add a new item, do as follows:

              getIncludeCoda().add(newItem);

      Objects of the following type(s) are allowed in the list `PathType`

    - #### getDeferredSyntaxAllowedAsLiteral

          public TrueFalseType getDeferredSyntaxAllowedAsLiteral()

      Ruft den Wert der deferredSyntaxAllowedAsLiteral-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setDeferredSyntaxAllowedAsLiteral

          public void setDeferredSyntaxAllowedAsLiteral(TrueFalseType value)

      Legt den Wert der deferredSyntaxAllowedAsLiteral-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getTrimDirectiveWhitespaces

          public TrueFalseType getTrimDirectiveWhitespaces()

      Ruft den Wert der trimDirectiveWhitespaces-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setTrimDirectiveWhitespaces

          public void setTrimDirectiveWhitespaces(TrueFalseType value)

      Legt den Wert der trimDirectiveWhitespaces-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getDefaultContentType

          public String getDefaultContentType()

      Ruft den Wert der defaultContentType-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setDefaultContentType

          public void setDefaultContentType(String value)

      Legt den Wert der defaultContentType-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getBuffer

          public String getBuffer()

      Ruft den Wert der buffer-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setBuffer

          public void setBuffer(String value)

      Legt den Wert der buffer-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getErrorOnUndeclaredNamespace

          public TrueFalseType getErrorOnUndeclaredNamespace()

      Ruft den Wert der errorOnUndeclaredNamespace-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setErrorOnUndeclaredNamespace

          public void setErrorOnUndeclaredNamespace(TrueFalseType value)

      Legt den Wert der errorOnUndeclaredNamespace-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.